%perl_module XML-SAX-Base 1.08 10_4

Summary:       Base class SAX Drivers and Filters
License:       Artistic
Group:         System Environment/Libraries
URL:           http://search.cpan.org/~khampton/%{pkgname}-%{version}/
Source0:       http://search.cpan.org/CPAN/authors/id/K/KH/KHAMPTON/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:     noarch
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.31
BuildRequires: perl(Test::More)
Conflicts:     perl-XML-SAX < 0.99

%description
This module has a very simple task - to be a base class for PerlSAX
drivers and filters. It's default behaviour is to pass the input
directly to the output unchanged. It can be useful to use this module
as a base class so you don't have to, for example, implement the
characters() callback.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/XML/SAX/Base.pm
%{perl_vendorlib}/XML/SAX/Exception.pm
#%{perl_vendorlib}/XML/SAX/placeholder.pl
%{perl_vendorlib}/XML/SAX/BuildSAXBase.pl
%{perl_man3dir}/XML::SAX::Base.3pm*
%{perl_man3dir}/XML::SAX::Exception.3pm*
%{perl_man3dir}/XML::SAX::BuildSAXBase.3pm*

%changelog
* Sat Sep 14 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 
- Update to 1.08.

* Sat Jan 24 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
